{
  "name": "abacus-static-framework",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build:prod": "vite build --mode production &&vue-tsc --noEmit",
    "build:stage": "vite build --mode staging &&vue-tsc --noEmit",
    "preview": "vite preview"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@vue-office/docx": "^1.6.0",
    "@vue-office/excel": "^1.7.2",
    "@vue-office/pdf": "^1.6.5",
    "@vueuse/core": "^10.2.1",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.8.1",
    "consola": "^3.2.3",
    "crypto-js": "^4.2.0",
    "element-china-area-data": "^6.1.0",
    "element-plus": "^2.9.5",
    "exceljs": "^4.4.0",
    "fuse.js": "^6.6.2",
    "js-base64": "^3.7.7",
    "js-cookie": "^3.0.5",
    "markdown-it": "^14.1.0",
    "nprogress": "^0.2.0",
    "path-browserify": "^1.0.1",
    "path-to-regexp": "^6.2.1",
    "pinia": "^3.0.1",
    "sm-crypto": "^0.3.13",
    "vue": "^3.5.13",
    "vue-router": "^4.5.0",
    "vxe-table": "^4.11.18",
    "vxe-table-plugin-export-xlsx": "^4.0.7",
    "xe-utils": "^3.7.3"
  },
  "devDependencies": {
    "@types/node": "^20.3.1",
    "@types/nprogress": "^0.2.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "sass": "^1.63.4",
    "typescript": "^5.0.2",
    "unplugin-auto-import": "^0.16.4",
    "unplugin-vue-components": "^0.25.1",
    "vite": "^6.0.0",
    "vite-plugin-style-import": "^2.0.0",
    "vue-tsc": "^1.4.2"
  }
}
